Skip to content
Newer
Older
100644 32 lines (17 sloc) 864 Bytes
c38d9c3 @awagener Remove all Rails2/Rails3 checks as master is now Rails3 only
awagener authored Dec 1, 2010
1 # Refinery CMS Blog
18a7089 @djones added arrows to menu, added new comments count to top level menu item…
djones authored Sep 7, 2010
2
06a0ec2 @djones updated readme to explain how to enable sharethis support
djones authored Sep 14, 2010
3 Simple blog engine for [Refinery CMS](http://refinerycms.com). It supports posts, categories and comments.
4
f38e875 @parndt Made the distinction between branches supporting rails 3.0.x and rail…
parndt authored Apr 3, 2011
5 This version of `refinerycms-blog` supports Rails 3.0.x. To use Rails 2.3.x use the [refinerycms-blog "Rails 2.3.x stable branch"](http://github.com/resolve/refinerycms-blog/tree/rails2-stable).
c38d9c3 @awagener Remove all Rails2/Rails3 checks as master is now Rails3 only
awagener authored Nov 30, 2010
6
06a0ec2 @djones updated readme to explain how to enable sharethis support
djones authored Sep 14, 2010
7 Options:
8
9 * Comment moderation
10 * [ShareThis.com](http://sharethis.com) support on posts. Set your key in Refinery's settings area to enable this.
18a7089 @djones added arrows to menu, added new comments count to top level menu item…
djones authored Sep 7, 2010
11
75e9940 @parndt Version 1.1 which supports Rails3 versions of RefineryCMS (1.0.1 etc …
parndt authored Dec 3, 2010
12 ## Requirements
13
6287603 @djones Updated readme to latest versions
djones authored May 27, 2011
14 Refinery CMS version 1.0.0 or above.
4940480 @alexmarles Added Rails 3 name app requirement
alexmarles authored Nov 10, 2011
15 Your Rails 3 application should not be called "blog"
75e9940 @parndt Version 1.1 which supports Rails3 versions of RefineryCMS (1.0.1 etc …
parndt authored Dec 3, 2010
16
c38d9c3 @awagener Remove all Rails2/Rails3 checks as master is now Rails3 only
awagener authored Nov 30, 2010
17 ## Install
b289799 @djones update formatting of readme
djones authored Sep 14, 2010
18
75e9940 @parndt Version 1.1 which supports Rails3 versions of RefineryCMS (1.0.1 etc …
parndt authored Dec 3, 2010
19 Open up your ``Gemfile`` and add at the bottom this line:
b289799 @djones update formatting of readme
djones authored Sep 14, 2010
20
2bff0b2 @joemsak Bump to 1.8.0, update README and Changelog with warnings about changes
joemsak authored Dec 8, 2011
21 gem 'refinerycms-blog', '~> 1.8.0'
22
75e9940 @parndt Version 1.1 which supports Rails3 versions of RefineryCMS (1.0.1 etc …
parndt authored Dec 3, 2010
23 Now, run ``bundle install``
18a7089 @djones added arrows to menu, added new comments count to top level menu item…
djones authored Sep 7, 2010
24
75e9940 @parndt Version 1.1 which supports Rails3 versions of RefineryCMS (1.0.1 etc …
parndt authored Dec 3, 2010
25 Next, to install the blog plugin run:
e5b9af1 @parndt Merged in Joe's and Steven's forks and updated for compatibility with…
parndt authored Nov 22, 2010
26
27 rails generate refinerycms_blog
18a7089 @djones added arrows to menu, added new comments count to top level menu item…
djones authored Sep 7, 2010
28
b289799 @djones update formatting of readme
djones authored Sep 14, 2010
29 Finally migrate your database and you're done.
18a7089 @djones added arrows to menu, added new comments count to top level menu item…
djones authored Sep 7, 2010
30
d9387e3 @joemsak Version bump: 1.7.0
joemsak authored Nov 14, 2011
31 rake db:migrate
Something went wrong with that request. Please try again.